API DocumentationShipments

Attach a shipment document

POST
/api/manufacturer/v1/order/{orderId}/shipments/{shipmentId}/documents

Attaches a file to a shipment. Files larger than 25 MB are rejected.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

orderId*integer

ID of the order the shipment belongs to

Formatint64
shipmentId*string

ID of the shipment to attach the document to

Formatuuid

Request Body

multipart/form-data
  1. body
file*file

File to upload

Formatbinary

Response Body

Document uploaded successfully

application/json
  1. response
id*string
Formatuuid
name*string
contentType*string
size*integer
Formatint64
uploadedBy*
createdAt*string
Formatdate-time
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents' \  -F 'file=string'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "contentType": "string",  "size": 0,  "uploadedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "createdAt": "2019-08-24T14:15:22Z"}